/*-----------------------------------------------------------------------
 * Copyright 1999 Michael Lincoln <mclinc@essex.ac.uk>
 * 
 * This software is provided free of charge.  Permission is hereby given
 * to use, copy, modify and distribute free of charge the software for
 * any purpose provided that this notice is included verbatim in every
 * copy.  The software is provided on an "as is" basis and the authors
 * and the University of Essex have no obligation to provide maintenance,
 * support, updates, enhancements, or modifications.
 * 
 * All express or implied warranties whether statutory or otherwise as to
 * the merchantability or fitness for a particular purpose of the
 * software are, to the maximum extent permitted by law, excluded.
 *
 * In no circumstances whatsoever shall the author or the University of
 * Essex be liable in contract, tort, or otherwise including liability
 * for negligence for any loss whether direct, indirect or otherwise of
 * business, revenue, profits, anticipated savings, wasted expenditure,
 * corruption or destruction of data or for any indirect or consequential
 * loss whatsoever.
 * 
 *
 *------------------------------------------------------------------------
 */




#include <iostream.h>
#include "cam.h"


int main()
{
  

  cout <<  "Very simply test application for cam class"<<endl;


  //change the line bellow to whatever the name of the comport with the cam connected
  //to is.
  cam mycam("/dev/cuaa1",1);
  
  if(!mycam.powerOn(true)) cerr <<"Cant turn on Cam"<<endl;
  
  while(1)
    {
      int x,y,z;
      cout <<"enter values x (ret) y(ret) z(ret)"<<endl;
      cin >>x;
      cin >>y;
      cin >>z;

      if(!mycam.move(x,y)) cerr <<"Cant move Cam"<<endl;

      if(!mycam.zoom(z)) cerr <<"Cant zoom Cam"<<endl;

      if(!mycam.waitComplete()) cerr <<"Wait complete fault"<<endl;

    
    }

  return 0;

}
